# Inventory status

The following [`GET /v1/shoppers/me/products/{productId}/inventory-status`](https://docs.digitalriver.com/commerce-api-references/shopper-apis/browse-product-discovery/inventory-status#v1-shoppers-me-products-productid-inventory-status) request gets the inventory for a specific product. You must provide the product `id`.

{% tabs %}
{% tab title="cURL request" %}

```http

curl --location --request GET 'http://{host}/v1/shoppers/me/products/{productId}/inventory-status' \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic ***' \
```

{% endtab %}

{% tab title="200 OK response" %}
You will receive a `200 OK` response.

```json
{
   "inventoryStatus": {
      "product": {
         "id": "{productId}",
         "externalReferenceId": "{externalReferenceId}",
         "companyId": "{companyId}",
         "_uri": "https://api.digitalriver.com/v1/shoppers/me/products/{productId}"
      },
      "availableQuantity": "0",
      "availableQuantityIsEstimated": "false",
      "productIsInStock": "false",
      "productIsAllowsBackorders": "false",
      "productIsTracked": "true",
      "requestedQuantityAvailable": "false",
      "status": "PRODUCT_INVENTORY_OUT_OF_STOCK",
      "statusIsEstimated": "false",
      "expectedInStockDate": "2021-08-12T00:00:00.000Z",
      "customStockMessage": "",
      "_uri": "https://api.digitalriver.com/v1/shoppers/me/products/{productId}/inventory-status"
   }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalriver.com/commerce-api/general-resources/global-commerce/products/inventory-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
